How can I create an NNID account without updating firmware?

Discussion in '3DS - Flashcards & Custom Firmwares' started by jackkelso, Oct 16, 2016.

  1. jackkelso
    OP

    jackkelso Newbie

    Newcomer
    6
    1
    Oct 16, 2016
    Italy
    I have an Old3DS with Luma CFM version 9.2.0-28E. I have installed Pokémon X and Alpha Sapphire cia files and I have no problems in going online with them. I have also installed Pokémon Bank but it needs a NNID account to be connected with my console. When I try to create a new NNID account (I don't have any), it appears the error 022-2511 which imposes an update to the console. I wonder how it is possible to bypass this message so that I can create my NNID account and finally use Pokémon Bank. Thank you in advance for your answers.
     
  2. ihaveamac

    ihaveamac GBAtemp Guru

    Member
    5,481
    6,052
    Apr 20, 2015
    United States
    Tigard, OR
    if you are using custom firmware (luma in this case), why can't you update?
     
  3. nechigawara

    nechigawara Citizen of Gamindustri

    Member
    1,181
    390
    Oct 14, 2006
    Thailand
    Planeptune
    Not sure if CTR-HTTPWN is usable in this case or not, you should try.
    But, I'm suggest to go A9LH + Luma3DS instead of whatever hax you use to run Luma3DS (I assume you're using menuhax).
    Guide Here: https://github.com/Plailect/Guide/wiki
    Luma3DS can run on menuhax too. So using Luma3DS doesn't mean his console has A9LH.
     
  4. ihaveamac

    ihaveamac GBAtemp Guru

    Member
    5,481
    6,052
    Apr 20, 2015
    United States
    Tigard, OR
    I did not mention anything about menuhax or a9lh. if they were using menuhax then they can just update the emu/rednand.
     
    daxtsu likes this.
  5. nechigawara

    nechigawara Citizen of Gamindustri

    Member
    1,181
    390
    Oct 14, 2006
    Thailand
    Planeptune
    Didn't Luma3DS on menuhax can run on SysNAND the same way as A9LH did?
     
  6. daxtsu

    daxtsu GBAtemp Guru

    Member
    5,546
    3,955
    Jun 9, 2007
    Antarctica
    HTTPwn requires 9.6 or higher, and as long as the OP is within Luma, it should be fine to update (which removes the need for HTTPwn in the first place).
     
  7. ihaveamac

    ihaveamac GBAtemp Guru

    Member
    5,481
    6,052
    Apr 20, 2015
    United States
    Tigard, OR
    if someone is using menuhax, good chance is they are using an emunand. which they could then update to the latest.

    anyway, this isn't the point of this thread....... since they are using custom firmware it's safe to update.
     
  8. jackkelso
    OP

    jackkelso Newbie

    Newcomer
    6
    1
    Oct 16, 2016
    Italy
    I would rather not update my console. So far I was able to do everything I wanted: playing Pokémon online. I didn't know NNID account was needed to use Pokémon Bank and creating that really gave me problems. Yes, I use menuhax to run Luma. And yes, I could be defined a N00B as I don't know how to solve this problem.
     
  9. ihaveamac

    ihaveamac GBAtemp Guru

    Member
    5,481
    6,052
    Apr 20, 2015
    United States
    Tigard, OR
    updating is the easiest solution to this though, assuming you are using an emunand. any other solution is too much work and not worth it.
     
  10. daxtsu

    daxtsu GBAtemp Guru

    Member
    5,546
    3,955
    Jun 9, 2007
    Antarctica
    One of the main points of having CFW in the first place is to be able to run unsigned code (homebrew and "backups") while staying on the latest update so you can go online and stuff. The 3DS is a bit of an exception to the norm compared to other scenes (i.e. the Wii where it wasn't always safe to update); we've not yet had any firmware updates since CFW became mainstream where it hasn't been safe to update your emuNAND or A9LH sysNAND.
     
  11. jackkelso
    OP

    jackkelso Newbie

    Newcomer
    6
    1
    Oct 16, 2016
    Italy
    I would rather not update my console. So far I was able to do everything I wanted: playing Pokémon online. I didn't know NNID account was needed to use Pokémon Bank and creating that really gave me problems. Yes, I use menuhax to run Luma. And yes, I could be defined a N00B as I don't know how to solve this problem.
    Where should I update my console? On SysNand or EmuNand? And, if I update, can I keep using my installed games?
     
  12. nechigawara

    nechigawara Citizen of Gamindustri

    Member
    1,181
    390
    Oct 14, 2006
    Thailand
    Planeptune
    I'm confuse here. So Menuhax + Luma3DS = EmuNAND only ,right?
    If yes, I will be careful next time when I see a thread like this one.
     
  13. ihaveamac

    ihaveamac GBAtemp Guru

    Member
    5,481
    6,052
    Apr 20, 2015
    United States
    Tigard, OR
    in emunand, go to system settings -> other settings -> system update. everything would work just fine and would fix this issue (plus possibly others for being on an old firmware)
     
  14. jackkelso
    OP

    jackkelso Newbie

    Newcomer
    6
    1
    Oct 16, 2016
    Italy
    I updated and the problem no longer appears. Thank you so much for your help. I really appreciated.
     
    ihaveamac likes this.
  15. Ericjwg

    Ericjwg GBAtemp Psycho!

    Member
    3,045
    806
    Jul 2, 2015
    Canada
    you have to pay for using the pokebank...

    — Posts automatically merged - Please don't double post! —

    if you are willing to pay for it, you should update the system since pokemon sun/moon 100% require a 10.x+ firmware
     
  16. jackkelso
    OP

    jackkelso Newbie

    Newcomer
    6
    1
    Oct 16, 2016
    Italy
     
  17. Ericjwg

    Ericjwg GBAtemp Psycho!

    Member
    3,045
    806
    Jul 2, 2015
    Canada
    cfw. custom firmware
     
  18. Posghetti

    Posghetti Greninja Master

    Member
    GBAtemp Patron
    Posghetti is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    1,064
    360
    Mar 15, 2016
    United States
    Michigan
    If you just needed a way to use Pokebank without updating your 3DS, you could've just gone with the free alternative PHBank... but I guess

    *sips tea*
     
  19. jackkelso
    OP

    jackkelso Newbie

    Newcomer
    6
    1
    Oct 16, 2016
    Italy
    I really don't know why I wrote CFM instead of CFW. I'm getting old...

    — Posts automatically merged - Please don't double post! —

    I'll try this bank too. Thank you for your advice!